<?php
	session_start();
	include("config.php");

	$username=$_SESSION["ses_admin_id"];
	  $qryy=mysqli_query($mysqli,"SELECT * FROM settings WHERE username='$username'");

	if(mysqli_num_rows($qryy)>0){
		$datay=mysqli_fetch_array($qryy);
		$tahun_anggaran=$datay["tahun_anggaran"];
	}else{
		msgbox("Tahun Anggaran belum diatur di halaman pengaturan!");
		lempar("admin.php?page=settings&page_desc=Pengaturan Tahun Anggaran Aktif");
		die();
	}

	$id_anggaran=mysqli_real_escape_string($mysqli,$_POST["txtIdAnggaran"]);
	$kode_rekening=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening"]);
	$paket=mysqli_real_escape_string($mysqli,$_POST["txtPaket"]);
	$anggaran=mysqli_real_escape_string($mysqli,$_POST["txtAnggaran"]);
	$anggaran=str_replace(".", "", $anggaran);

	$pemenang=mysqli_real_escape_string($mysqli,$_POST["txtPemenang"]);

	$harga_penawaran=mysqli_real_escape_string($mysqli,$_POST["txtPenawaran"]);

	$keterangan=mysqli_real_escape_string($mysqli,$_POST["txtKeterangan"]);
	
	if($harga_penawaran > $anggaran){
		msgbox("Harga penawaran melebihi nominal anggaran!");
		echo "<script language='javascript'>history.back();</script>";
		die();
	}
	
	$qryx=mysqli_query($mysqli,"SELECT * FROM transaksi WHERE id_anggaran='$id_anggaran' AND id_desa='$_SESSION[ses_id_desa]'");
	if(mysqli_num_rows($qryx)>0){
		$sql="UPDATE transaksi SET pemenang='$pemenang', harga_penawaran='$harga_penawaran', keterangan='$keterangan' WHERE id_anggaran='$id_anggaran' AND tahun_anggaran='$tahun_anggaran' AND id_desa='$_SESSION[ses_id_desa]'";
	}else{
		$sql="INSERT INTO transaksi VALUES (null, '$id_anggaran', '$kode_rekening', '$paket', '$anggaran', '', '$pemenang', '$harga_penawaran', '$keterangan', '$_SESSION[ses_id_desa]','$tahun_anggaran')";
	}

	
	
	$qry=mysqli_query($mysqli,$sql);
	
	if($qry){
	
		msgbox("Data transaksi pengadaan barang/jasa berhasil disimpan");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar%20Mata%20Anggaran");
	}else{
		
		msgbox("Error: ".mysqli_error($mysqli));
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar%20Mata%20Anggaran");
	}
	
	
	
?>